> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Hide a vault account in the console

> Hides the requested vault account from the web console view.
This operation is required when creating thousands of vault accounts to serve your end-users.
Used for preventing the web console to be swamped with too much vault accounts.
Learn more in the following [guide](https://developers.fireblocks.com/docs/create-direct-custody-wallets#hiding-vault-accounts).
NOTE: Hiding the vault account from the web console will also hide all the related transactions to/from this vault.
Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /vault/accounts/{vaultAccountId}/hide
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /vault/accounts/{vaultAccountId}/hide:
    post:
      tags:
        - Vaults
      summary: Hide a vault account in the console
      description: >-
        Hides the requested vault account from the web console view.

        This operation is required when creating thousands of vault accounts to
        serve your end-users.

        Used for preventing the web console to be swamped with too much vault
        accounts.

        Learn more in the following
        [guide](https://developers.fireblocks.com/docs/create-direct-custody-wallets#hiding-vault-accounts).

        NOTE: Hiding the vault account from the web console will also hide all
        the related transactions to/from this vault.

        Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
      operationId: hideVaultAccount
      parameters:
        - in: path
          name: vaultAccountId
          required: true
          description: The vault account to hide
          schema:
            type: string
            format: numeric
            x-fb-entity: vault_account
        - $ref: '#/components/parameters/X-Idempotency-Key'
      responses:
        '201':
          description: OK
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VaultActionStatus'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<VaultActionStatus>> =
            fireblocks.vaults.hideVaultAccount(vaultsApiHideVaultAccountRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<VaultActionStatus>> response =
            fireblocks.vaults().hideVaultAccount(vaultAccountId,
            idempotencyKey);
        - lang: Python
          source: >-
            response = fireblocks.vaults.hide_vault_account(vault_account_id,
            idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    VaultActionStatus:
      type: object
      properties:
        success:
          type: boolean
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````